<?xml version="1.0" encoding="utf-8"?>
<databaseChangeLog
    xmlns="http://www.liquibase.org/xml/ns/dbchangelog"
    xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
    xsi:schemaLocation="http://www.liquibase.org/xml/ns/dbchangelog http://www.liquibase.org/xml/ns/dbchangelog/dbchangelog-3.5.xsd">
    <!--
        Added the constraints for entity UnitDeliverable.
    -->
    <changeSet id="20170101000000-2" author="jhipster">
        
        <addForeignKeyConstraint baseColumnNames="idreq"
                                 baseTableName="unit_deliverable"
                                 constraintName="fk_unit_deliverable_vehicle_document_requirement_id"
                                 referencedColumnNames="idreq"
                                 referencedTableName="vehicle_document_requirement"/>

        <addForeignKeyConstraint baseColumnNames="idvndstatyp"
                                 baseTableName="unit_deliverable"
                                 constraintName="fk_unit_deliverable_vnd_status_type_id"
                                 referencedColumnNames="idstatustype"
                                 referencedTableName="status_type"/>

        <addForeignKeyConstraint baseColumnNames="idconstatyp"
                                 baseTableName="unit_deliverable"
                                 constraintName="fk_unit_deliverable_con_status_type_id"
                                 referencedColumnNames="idstatustype"
                                 referencedTableName="status_type"/>

    </changeSet>
</databaseChangeLog>
